#include "HudStateComponent.h"
#include "Net/UnrealNetwork.h"

class ASurvivor;

void UHudStateComponent::OnRep_ObscuredSurvivors(TArray<TWeakObjectPtr<ASurvivor>> oldArray)
{

}

void UHudStateComponent::OnRep_LastHookedSurvivor(ASurvivor* previousLastHookedSurvivor)
{

}

void UHudStateComponent::OnRep_IsHudVisible(const bool oldValue)
{

}

void UHudStateComponent::OnRep_IsHookCounterVisible()
{

}

void UHudStateComponent::OnLocallyObservedChanged()
{

}

void UHudStateComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UHudStateComponent, _isHudVisible);
	DOREPLIFETIME(UHudStateComponent, _lastHookedSurvivor);
	DOREPLIFETIME(UHudStateComponent, _isHookCounterVisible);
	DOREPLIFETIME(UHudStateComponent, _obscuredSurvivors);
}

UHudStateComponent::UHudStateComponent()
{
	this->_isHudVisible = true;
	this->_isSurvivorActivityHUDForciblyVisible = false;
	this->_isHookCounterVisible = true;
	this->_wasObservingAKiller = false;
}
